
Foreman - Bug #36656

Pin @adobe/css-tools package to 4.2.0 to build on NodeJS 12

08/08/2023 03:23 PM - Samir Jha

Status: Closed   

Priority: Normal   

Assignee: Samir Jha   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9799,

https://github.com/theforeman/foreman/p

ull/9807

  

Description

Seeing this on our Ci with Node 12:

/home/runner/work/katello/katello/foreman/node_modules/@adobe/css-tools/dist/index.cjs:116

                }, options?.source || "");

                           ^

    SyntaxError: Unexpected token '.'

 Tests are green with Node 14 but our CI uses 12 so we'll need to pin this for now.

Related issues:

Related to Foreman - Bug #37128: Unpin adobe/css-tools Closed

Associated revisions

Revision 7b74d9dc - 08/08/2023 07:12 PM - Samir Jha

Fixes #36656 - Pin @adobe/css-tools to 4.2.0

History

#1 - 08/08/2023 03:26 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9799 added

#2 - 08/08/2023 07:12 PM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#3 - 08/08/2023 08:00 PM - Samir Jha

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7b74d9dc5508ba412154ad6ecde4b2fb0ea3b2e0.

#4 - 08/15/2023 11:03 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9807 added

#5 - 09/11/2023 10:31 AM - Ewoud Kohl van Wijngaarden

- Subject changed from Pin @adobe/css-tools package to 4.2.0 because jest refuses to work with it to Pin @adobe/css-tools package to 4.2.0 to build

on NodeJS 12

- Triaged changed from No to Yes
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7b74d9dc5508ba412154ad6ecde4b2fb0ea3b2e0


#6 - 01/31/2024 07:42 AM - Evgeni Golov

- Related to Bug #37128: Unpin adobe/css-tools added
